Page MenuHomePhabricator

Add Ukrainian and Belarusian as fallback languages for Russian
Closed, InvalidPublic

Description

Since Siebrand mentioned in a comment to another issue (https://phabricator.wikimedia.org/T39314#415181) that there are "linguistic reasons for "ru" as fallback for "uk"", I believe it should be vice versa also. Since Ukranian/Belarusian and Russian are partially mutually intelligible languages in both directions (see https://en.wikipedia.org/wiki/Mutual_intelligibility#List_of_mutually_intelligible_languages for sources), it should help Russian-speaking users to understand untranslated texts which are currently falling back to English which is 1) not mutually intelligible language with Russian and 2) not so wide-spread in Russian-speaking countries and territories.

Event Timeline

DixonD created this task.Aug 14 2015, 5:42 AM
DixonD updated the task description. (Show Details)
DixonD raised the priority of this task from to Needs Triage.
DixonD added a subscriber: DixonD.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2015, 5:42 AM
Ata added a subscriber: Ata.Aug 14 2015, 8:21 AM
Base added a subscriber: Base.Aug 14 2015, 9:48 AM
NickK added a subscriber: NickK.Aug 14 2015, 7:05 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 3:14 AM
AS added a subscriber: AS.Nov 6 2015, 9:11 AM
Elitre added a subscriber: Elitre.May 25 2016, 6:12 AM
Nemo_bis triaged this task as Normal priority.Jun 8 2016, 12:42 PM
Nemo_bis added a subscriber: Nemo_bis.

What order do you propose to use?

That's an interesting suggestion, what about extending the topic further and thinking of a policy regarding fallback language according to user preferences and mutually intelligible language list. For user preferences one may use user agent parameters, as well as Mediawiki user preferences. An other idea would be to have fallbacks to language know to be used in the location from which the user consult the page, when this information is available.

matmarex added a subscriber: matmarex.EditedJun 8 2016, 1:23 PM

Interesting, this might actually be possible. I thought it would introduce a loop (Russian falls back to Ukrainian, which falls back to Russian, which falls back to Ukrainian, …), but we actually define the whole fallback chain for each language, rather than construct it recursively. So we could probably specify that e.g. Ukrainian falls back to Russian, then to English (which is hard-coded as the final fallback); and that Russian falls back to Ukrainian, then to English; and these rules wouldn't conflict.

what about extending the topic further

Not on this report, please.

Interesting, this might actually be possible.

Sure, we already have the pt <-> pt-br reciprocal dependence and in https://www.mediawiki.org/wiki/File:MediaWiki_fallback_chains.svg I now see nan <-> cdo. (Quite different cases, I must say.)

We don't have any threesome yet though; that requires at least to define an order, hence I asked the reporter how to rank uk and be in similarity to ru in order to decide between "ru, uk, be" and "ru, be, uk".

NickK added a comment.Jun 10 2016, 1:05 PM

We don't have any threesome yet though; that requires at least to define an order, hence I asked the reporter how to rank uk and be in similarity to ru in order to decide between "ru, uk, be" and "ru, be, uk".

Using academic linguistic sources like http://www.academia.edu/4080349/Mutual_Intelligibility_of_Languages_in_the_Slavic_Family and http://journals.plos.org/plosone/article/asset?unique&id=info:doi/10.1371/journal.pone.0135820.s008 we get:

  • be: first uk, then ru (but for political reasons most likely it should be first ru, then uk, as most Belarusians learn Russian but not Ukrainian)
  • ru: first be, then uk
  • uk: first be, then ru
Ijon added a subscriber: Ijon.Aug 10 2016, 6:24 PM

Change 323700 had a related patch set uploaded (by DixonD):
Add Ukrainian and Belarusian as fallback languages for Russian

https://gerrit.wikimedia.org/r/323700

I advise you to close this ticket as declined. You shouldn't implement any language fallbacks without obtaining the relevant community's consent. And you shouldn't restore Russian fallback for Ukrainian wikis after it's been removed (T39314)

Change 323700 abandoned by DixonD:
Set falbacks for mutually intelligible Ukrainian, Belarusian and Russian

Reason:
Since https://gerrit.wikimedia.org/r/#/c/290362/ was merged, I think the purpose of this change kind of contradicts that change

https://gerrit.wikimedia.org/r/323700

DixonD closed this task as Invalid.Dec 2 2016, 11:10 AM

Closing it as it seems to be a contradicting change now to the ticket recently resolved https://phabricator.wikimedia.org/T39314